Download it now!
Bug 104053 - Rename LibreOffice branding colors
Summary: Rename LibreOffice branding colors
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2016-11-20 08:18 UTC by Heiko Tietze
Modified: 2017-11-29 12:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Color names for the LibreOffice palette (35.55 KB, image/png)
2016-11-20 08:18 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-11-20 08:18:32 UTC
Created attachment 128884 [details]
Color names for the LibreOffice palette

LibreOffice colors https://wiki.documentfoundation.org/Marketing/Branding#Colors do not have proper names. Using "Green 1" is awkward. 

My proposal is:

Moss Green
Libre Green
Grass Green
Mint Green
Pale Green
Midnight Blue
Libre Blue
Sky Blue
Baby Blue
Pale Blue
Redwood Orange
Libre Orange
Sundown Orange
Pink Orange
Pale Orange
Bishop's Purple
Libre Purple
Amethyst Purple
Violet Purple
Pale Purple
Khaki Yellow
Libre Yellow
Banana Yellow
Sand Yellow
Pale Yellow

(see the attached image)
Comment 1 V Stuart Foote 2016-11-20 17:58:22 UTC
(In reply to Heiko Tietze from comment #0)
> LibreOffice colors
> https://wiki.documentfoundation.org/Marketing/Branding#Colors do not have
> proper names. Using "Green 1" is awkward. 
> 

Awkward, but easily translated... maybe not so with the suggested new names?
Comment 2 Heiko Tietze 2016-11-20 22:00:47 UTC
(In reply to V Stuart Foote from comment #1)
> Awkward, but easily translated... maybe not so with the suggested new names?

I wouldn't translate, and actually the names are part of the soc file.
Comment 3 sophie 2016-11-22 17:11:50 UTC
Hi Heiko, but the name is shown as a tip when you over the colour so it has to be translated and Libre is not the name of a colour, you're making things complicated for translators. Be aware that for some languages, it's needed to find the concept behind the word to create it, not so easy here :) Sophie
Comment 4 Heiko Tietze 2016-11-22 18:32:29 UTC
(In reply to sophie from comment #3)
> Hi Heiko, but the name is shown as a tip when you over the colour so it has
> to be translated...

The tooltip is the reason to give colors a good name. Today we have "Green 1" (untranslatable) which could be "Libre Green". The names are part of the soc file, a reference to some po might be possible. 

This is how we call our colors today:
Green 0, Green 1 (LibreOffice Main Color), Green 2, Green 3, Green 4
Blue 0, Blue 1, Blue 2, Blue 3, Blue 4
Orange 0, Orange 1, Orange 2, Orange 3, Orange 4
Purple 0, Purple 1, Purple 2, Purple 3, Purple 4
Yellow 0, Yellow 1, Yellow 2, Yellow 3, Yellow 4
Green Accent, Blue Accent, Orange Accent, Purple Accent, Yellow Accent

"Libre Green" (or "Green 1") is our primary color and we define how to call it. Other palettes do the same, actually have even more speaking names like sunbeam (Breeze: yellow), navy (HTML: blue), or chocolate medium (Tango: ?). Meaning the proposed "Pale Green" (Green 4) could also be just "Beryll".

Use case for the proposal is beside the intention to be kind to the user the gray scale palette. You color an object with 40% gray and want to have the same color later. Would you find it easily? Or do you remember a better label like "Granite"?
Comment 5 tommy27 2016-11-23 05:20:11 UTC
I'm afraid that the extra work needed to translate all these new color labels will outweight the benefit.
Comment 6 Heiko Tietze 2016-11-23 08:07:11 UTC
(In reply to tommy27 from comment #5)
> I'm afraid that the extra work needed to translate all these new color
> labels will outweight the benefit.

Don't get it. What do you want to translate? And how did you do that for other palettes in the past?
Comment 7 sophie 2016-11-23 09:02:27 UTC
(In reply to Heiko Tietze from comment #6)
> (In reply to tommy27 from comment #5)
> > I'm afraid that the extra work needed to translate all these new color
> > labels will outweight the benefit.
> 
> Don't get it. What do you want to translate? And how did you do that for
> other palettes in the past?

Do you know which colour Orca will read: മഴവില്ല്? we need to translate them because for some language writing system is different and some people are not able to see the colour so the name read by Orca should represent it. I understand the Libre you want to use (and you know that part of our user won't be able to pronounce it) but I find that it add difficulties where it's not needed at all.
Comment 8 Heiko Tietze 2016-11-23 09:06:53 UTC
(In reply to sophie from comment #7)
> Do you know which colour Orca will read: മഴവില്ല്? we need to translate them...

Please make a statement to how this was done in the past (and what would change with better names).
Comment 9 tommy27 2016-11-23 09:32:48 UTC
(In reply to Heiko Tietze from comment #6)
> (In reply to tommy27 from comment #5)
> > I'm afraid that the extra work needed to translate all these new color
> > labels will outweight the benefit.
> 
> Don't get it. What do you want to translate? And how did you do that for
> other palettes in the past?

I mean that in the past translators had just to translate "green", "yellow", "blue", "purple" and "orange" 

now there's a lot of terms that need to be addressed... and this could  be annoying.
Comment 10 sophie 2016-11-23 09:42:35 UTC
(In reply to Heiko Tietze from comment #8)
> (In reply to sophie from comment #7)
> > Do you know which colour Orca will read: മഴവില്ല്? we need to translate them...
> 
> Please make a statement to how this was done in the past (and what would
> change with better names).

Via Pootle as usual, see here for an example:
http://opengrok.libreoffice.org/xref/translations/source/fr/svx/source/dialog.po#1900
What would change is that we have to translate them again, it's not a problem, if it needs to be done, we will do it.
Comment 11 Heiko Tietze 2016-11-23 09:56:12 UTC
(In reply to sophie from comment #10)
> Via Pootle as usual, see here for an example:
> http://opengrok.libreoffice.org/xref/translations/source/fr/svx/source/
> dialog.po#1900

These strings are used at gradients, internal objects. One legacy color from our standard palette is called "Tango: Sky Blue 1". You likely cannot translate this name with Pootle since it's part of the palette file.
Comment 12 jonathon 2016-11-24 06:45:52 UTC
One major issue is that colour names are not standardized. Thus, the "moss green" that is in this palette, can be, and probably is a different colour in a different palette.
Comment 13 sophie 2016-12-13 13:26:25 UTC
(In reply to Heiko Tietze from comment #11)
> (In reply to sophie from comment #10)
> > Via Pootle as usual, see here for an example:
> > http://opengrok.libreoffice.org/xref/translations/source/fr/svx/source/
> > dialog.po#1900
> 
> These strings are used at gradients, internal objects. One legacy color from
> our standard palette is called "Tango: Sky Blue 1". You likely cannot
> translate this name with Pootle since it's part of the palette file.

I just checked in a FR version, it's translated "Bleu ciel 1" and appears as a tip when you over the colour in the palette. I didn't check yet, but I guess it's also that label Orca is reading when selecting the colour.
Comment 14 sophie 2016-12-13 14:26:29 UTC
(In reply to sophie from comment #13)
> (In reply to Heiko Tietze from comment #11)
> > (In reply to sophie from comment #10)
> > > Via Pootle as usual, see here for an example:
> > > http://opengrok.libreoffice.org/xref/translations/source/fr/svx/source/
> > > dialog.po#1900
> > 
> > These strings are used at gradients, internal objects. One legacy color from
> > our standard palette is called "Tango: Sky Blue 1". You likely cannot
> > translate this name with Pootle since it's part of the palette file.
> 
> I just checked in a FR version, it's translated "Bleu ciel 1" and appears as
> a tip when you over the colour in the palette. I didn't check yet, but I
> guess it's also that label Orca is reading when selecting the colour.

KeyID is 4qqKo for Sky Blue 1 and for Tango: Blue it's zdBiE, checked in master with last qtz for beta2
Comment 15 V Stuart Foote 2016-12-13 15:22:30 UTC
The beauty of the existing naming is that the 0-1-2-3-4 names in Green, Blue, Orange, Purple, and Yellow are language "neutral"--and hence friendly both to users and to translators.

So I don't think so, but if this were going to be changed...

Looking at Christoph Noack's "United colors of liberty" blog (http://luxate.blogspot.com/2010/10/united-colors-of-liberty.html) the Green 1 #18a303--a.k.a. LibreGreen--was the anchor color and the derivatives were done with Agave. Yellow was added later and Maroon was renamed to Orange. 

Possibly we could locate Christoph's notes on which Agave colorscheme(s) he used with the #18a303 to determine which levels he picked for each--and use those levels in the name?

Although would seem the Agave generated "LibreBlue", "LibreOrange", "LibrePurple", and "LibreYellow" were intended to be specific "primary" colors for the brand--anchored to the "LibreGreen" sRGB of #18a303.

Unfortunately those names are not as "neutral", but then it is a "branding" SOC :)

If intent remains to not translate the names in this branding SOC, maybe go with a - and + notation for color intensity.

LibreGreen+1
LibreGreen
LibreGreen-1
LibreGreen-2
LibreGreen-3

LibreBlue+1
LibreBlue
LibreBlue-1
LibreBlue-2
LibreBlue-3

LibreOrange+1
LibreOrange
LibreOrange-1
LibreOrange-2
LibreOrange-3

LibrePurple+1
LibrePurple
LibrePurple-1
LibrePurple-2
LibrePurple-3

LibreYellow+1
LibreYellow
LibreYellow-1
LibreYellow-2
LibreYellow-3

and similar for the accents.
Comment 16 Heiko Tietze 2016-12-16 11:15:25 UTC
Looks like there is not too much interest in user-friendly naming of colors. Let's keep it simple and stay with 1..6 for the branding colors. (abandoned the patch)
Comment 17 Thomas Lendo 2017-11-29 09:40:51 UTC
I suggest to resume this issue. It was closed too fast.
Could this be a topic of one of the next design/UX meetings?
Comment 18 sophie 2017-11-29 10:42:26 UTC
(In reply to Heiko Tietze from comment #16)
> Looks like there is not too much interest in user-friendly naming of colors.
> Let's keep it simple and stay with 1..6 for the branding colors. (abandoned
> the patch)

Yes, please, stay with simple color names and 1 to x variants, it's not only translator-friendly, but user-friendly too ;) Sophie
Comment 19 Heiko Tietze 2017-11-29 12:01:46 UTC
(In reply to sophie from comment #18)
> ... but user-friendly too

Disagree with this statement but have to accept that my proposal was (and is) rejected.